Subject: Re: [PATCH] Allow hand-editing of patches before sending

From: Jakub Narebski <[email-masked]>
Date: Sun, 05 Nov 2006 20:29:15 +0100

Karl Hasselström wrote:

> These are the headers that StGIT uses without my patch -- that is, the
> headers used to get that error message:
> 
>   Content-Type: text/plain; charset=utf-8; format=fixed
>   Content-Transfer-Encoding: 8bit
> 
> Which is obviously not good enough for some picky part of the SMTP
> chain.

I think you are missing MIME-Version: header.

[...]

> Well, it added these headers:
> 
>   MIME-Version: 1.0
>   Content-Transfer-Encoding: QUOTED-PRINTABLE
>   Content-Type: TEXT/PLAIN; charset=ISO-8859-1
> 
> Maybe MIME-Version was the only thing missing? I'll have to try.

MIME-Version _is_ important. I remember that Outlook Express sent news
messages without this header, and those posts were either mangled by news
server, or news readers didn't parse MIME headers without MIME-Version:

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git